<template lang="pug">
  .destination-card.my-3
    a(:href="(item.to) ? item.to : 'javascript:void(0)'" :target="(item.to) ? '_blank' : '_self'").d-block
      img.card-image(
        v-if="item.thumb_image && item.thumb_image.url"
        :src="item.thumb_image.url"
        :alt="item.thumb_image.title"
        )
      .placeholder-img(v-else)
        img.w-100(src="https://via.placeholder.com/369x208" :alt="item.name")
      .card-body
        .title {{ item.name }}
        .province-name(v-if="item.destination")
          fa.marker-icon.mr-1(:icon="['fas', 'map-marked-alt']")
          | {{ item.destination.name }}
        .province-name(v-if="item.rating")
          fa.marker-icon.mr-1(:icon="['fas', 'star']")
          | {{ item.rating }} Ratings
</template>

<script>
export default {
  props: {
    item: {
      type: Object,
      default: () => ({})
    }
  }
}
</script>

<style lang="scss" scoped>
.destination-card {
  display: block;
  border-radius: 3px;
  box-shadow: 0 3px 4px 0 rgba(0, 0, 0, 0.12);
  overflow: hidden;
  cursor: pointer;
  transition: box-shadow 0.2s ease;
  a:hover {
    text-decoration: none;
  }
  img.card-image {
    width: 100%;
    height: 208px;
    object-fit: cover;
    @media (max-width: $breakpoints-xl) {
      height: 128px;
    }
    @media (max-width: $breakpoints-md) {
      height: 147px;
    }
  }
  .placeholder-img {
    display: flex;
    justify-content: center;
    align-items: center;
    background: $dim-gray;
    height: 208px;
    @media (max-width: $breakpoints-xl) {
      height: 128px;
    }
    @media (max-width: $breakpoints-md) {
      height: 147px;
    }
    img {
      width: 50%;
    }
  }
  .card-body {
    padding: 28px 20px;
    background: #ffffff;
    @media (max-width: $breakpoints-xl) {
      padding: 12px;
    }
    .title {
      text-decoration: none;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      font-weight: bold;
      color: #333333;
      margin-bottom: 4px;
      transition: color 0.2s ease;
    }
    .province-name {
      text-decoration: none;
      color: #666666;
      font-size: 0.75rem;
      svg.marker-icon {
        font-size: 0.875rem;
      }
    }
  }
  &:hover {
    text-decoration: none;
    &:not(:active) {
      box-shadow: 0px 15px 30px rgba(0, 0, 0, 0.1);
    }
    .card-body {
      .title {
        color: $primary;
      }
    }
  }
}
</style>
